import request from '@/utils/request'
import { data } from 'jquery'

// 招标解析->查询列表
export function listAPI(params) {
    return request({
        url: '/smartPlatform/analysis/getList',
        method: 'GET',
        params
    })
}

/* 招标解析->新建项目 */
export function addDataAPI(data) {
    return request({
        url: '/smartPlatform/analysis/saveData',
        method: 'POST',
        data
    })
}

// 招标解析->查看标段列表
export function getBidListAPI(params) {
    return request({
        url: '/smartPlatform/analysis/getBidList',
        method: 'GET',
        params
    })
}

// 招标解析->查看项目详情
export function getProDetailAPI(params) {
    return request({
        url: '/smartPlatform/analysis/getProDetail',
        method: 'GET',
        params
    })
}

// 招标解析->更新项目数据
export function editProDataAPI(data) {
    return request({
        url: '/smartPlatform/analysis/editProData',
        method: 'POST',
        data
    })
}

// 招标解析->更新标段数据
export function editBidDataAPI(data) {
    return request({
        url: '/smartPlatform/analysis/editBidData',
        method: 'POST',
        data
    })
}

// 招标解析->删除项目数据
export function delProDataAPI(data) {
    return request({
        url: '/smartPlatform/analysis/delProData',
        method: 'POST',
        data
    })
}

// 招标解析->提交标段解析
export function saveBidDataAPI(data) {
    return request({
        url: '/smartPlatform/analysis/saveBidData',
        method: 'POST',
        data
    })
}

/* 测试 mq */
export function testMQAPI(params) {
    return request({
        url: '/smartPlatform/analysis/testAsyncMq',
        method: 'GET',
        params
    })
}
